tigase.jaxmpp.core.client.xmpp.modules.omemo

## Class KeysRetriever

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.omemo.KeysRetriever

-     public abstract class KeysRetriever
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeysRetriever(Context context, BareJID jid)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Collection<Integer>` | `getDeviceIDsFromPayload(Collection<PubSubModule.RetrieveItemsAsyncCallback.Item> items)`
    `void` | `retrieve()`
    `void` | `retrieve(Collection<Integer> deviceIds)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeysRetriever

          public KeysRetriever(Context context,
                               BareJID jid)

  - ### Method Detail

    - #### getDeviceIDsFromPayload

          public static Collection<Integer> getDeviceIDsFromPayload(Collection<PubSubModule.RetrieveItemsAsyncCallback.Item> items)

    - #### retrieve

          public void retrieve(Collection<Integer> deviceIds)
                        throws JaxmppException

      Throws:
        `JaxmppException`

    - #### retrieve

          public void retrieve()
                        throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.